Thursday, 15 August 2013

Elementary Luna Themes for Ubuntu/Mint

I've uploaded the themes used in Elementary OS Luna to my launchpad PPA. You can install the themes from the PPA, if you are using Ubuntu/Linux Mint or its derivates.

Elementary Icon Theme 3.0

Open a terminal window (CTRL+ALT+T) and run the following commands:

sudo apt-add-repository -y ppa:teejee2008/themes
sudo apt-get update
sudo apt-get install elementary-icon-theme

Run the following to update the GTK icon cache: (optional step, improves system performance)

sudo gtk-update-icon-cache -f "/usr/share/icons/elementary"

The theme can be changed from the Appearance tab in System Settings.

Elementary GTK Theme 3.4

This theme is ONLY for GTK 3.4 (Ubuntu 12.04 - Precise).

The theme works perfectly with GTK 3.4 / Ubuntu 12.04 (Precise) which is what Elementary OS Luna is based on. I tried out the theme on Ubuntu 13.04 (Saucy) and there were many issues which make the theme almost unusable. Checkboxes don't work and slider backgrounds are missing. I've removed the packages for other Ubuntu versions.

If you are using some other distro based on Ubuntu you can check the GTK version with the following command:

dpkg -s libgtk-3-0 | grep "Version"

To install the package in Ubuntu 12.04, open a terminal window (CTRL+ALT+T) and run the following commands:

sudo apt-add-repository -y ppa:teejee2008/themes
sudo apt-get update
sudo apt-get install elementary-gtk-theme

The theme can be changed from the Appearance tab in System Settings.

Updates

  • 2013-08-15 Fixed missing icons issue - Added gnome-icon-theme as dependency for elementary-icon-theme
  • 2013-08-16 Fixed some issues with package dependencies
  • 2013-08-16 The GTK theme works only with GTK 3.4 (Ubuntu 12.04 - Precise). Removed packages for other Ubuntu releases :(

3 comments:

  1. hi! thanks for your work :)
    I'm getting this error when I run

    sudo apt-get install elementary-gtk-theme=3.4.0.2~teejeetech


    ->

    Unpacking elementary-gtk-theme (from .../elementary-gtk-theme_3.4.0.2~teejeetech_all.deb) ...
    dpkg: error processing /var/cache/apt/archives/elementary-gtk-theme_3.4.0.2~teejeetech_all.deb (--unpack):
    trying to overwrite '/usr/share/themes/elementary/index.theme', which is also in package elementary 3.1
    dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
    Errors were encountered while processing:
    /var/cache/apt/archives/elementary-gtk-theme_3.4.0.2~teejeetech_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    what can I do?

    ReplyDelete
    Replies
    1. It looks like you already have the Luna theme installed on your system!
      Check if the "elementary" theme is available in the Appearance tab in System Settings.
      In case it is not available try find the existing package and un-install it.

      Delete
  2. hey there, thanks for this....

    I have Lubuntu on an older PC (and elementary OS on my notebook). To get 'the full elementary experience' on the Lubuntu machine (minus the surplus apps), I would install this theme, Slingshot, a dock, and Wingpanel...is that all?

    Is there anything else I would have to do?

    Thanks

    Matt

    ReplyDelete

If you are reporting an issue and commenting as an anonymous user, please leave your email address so that I can get in touch with you.